Bug 982482 - haproxy_ctld doesn't stay running when it tries to restart after repairing gear registry
haproxy_ctld doesn't stay running when it tries to restart after repairing ge...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 03:08 EDT by Yan Du
Modified: 2015-05-14 19:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:22:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-07-09 03:08:31 EDT
Description of problem:
haproxy_ctld doesn't stay running when it tries to restart after repairing gear registry, and the brkoen gear registry can't be fixed.



Version-Release number of selected component (if applicable):
devenv_3463
rhc-1.11.2


How reproducible:
Always



Steps to Reproduce:
1. Create a scalable app
rhc app create cas0s0 jbossas-7 -s
2. Make the gear number = 2
rhc cartridge scale jbossas-7 -a cas0s0 --min 2 
3. SSH into the app and modify the IP in ~/haproxy/conf/gear-registry.db
4. SSH out from the app and observe the haproxy_ctld process for a while
6. SSH into the app and check 'haproxy_ctld' process
rhc app ssh cas0s0
ps -ef|grep haproxy_ctld | grep -v grep
7. check the IP in ~/haproxy/conf/gear-registry.db 



Actual results:
step6: no haproxy_ctld running
step7: IP didn't fix.



Expected results:
haproxy_ctld is still running and the IP should be fixed
Comment 3 Yan Du 2013-07-09 22:56:37 EDT
verified on devenv_3471
rhc-1.11.3

haproxy_ctld is still running, and the IP changed back.

[cas0s0-aaa.dev.rhcloud.com 583ccf4ce90911e297d522000a98aac3]\> ps -ef|grep haproxy_ctld | grep -v grep
513      17153     1  0 22:43 ?        00:00:00 haproxy_ctld.rb                                                                 

move to verified

Note You need to log in before you can comment on or make changes to this bug.